Consent submission
curl --request POST \
--url https://api.nexspace365.com/oauth/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'client_id=<string>' \
--data 'redirect_uri=<string>' \
--data 'code_challenge=<string>' \
--data code_challenge_method=S256 \
--data 'scope=<string>' \
--data 'state=<string>'import requests
url = "https://api.nexspace365.com/oauth/authorize"
payload = {
"client_id": "<string>",
"redirect_uri": "<string>",
"code_challenge": "<string>",
"code_challenge_method": "S256",
"scope": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
client_id: '<string>',
redirect_uri: '<string>',
code_challenge: '<string>',
code_challenge_method: 'S256',
scope: '<string>',
state: '<string>'
})
};
fetch('https://api.nexspace365.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>",
"details": {},
"suggestion": "<string>",
"retryable": true
},
"requestId": "<string>"
}OAuth
Consent submission
Submit the user’s allow/deny decision for an authorization request. On allow, redirects back to the client’s redirect_uri with an authorization code (and state); on deny, redirects with error=access_denied.
POST
/
oauth
/
authorize
Consent submission
Authorizations
bearerAuthapiKeyAuth
JWT token authentication
Body
application/x-www-form-urlencoded
Response
Redirect back to the client redirect_uri with code or error
⌘I

